Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portlet.ext
Interface WindowActionResponse

    public interface WindowActionResponse

This interface extends `javax.portlet.ActionResponse` to provide additional convenience methods.

Portlets deployed on WebLogic Portlet Container can cast `javax.portlet.ActionResponse` objects to this type to access these additional methods.

See Also
  `javax.portlet.ActionResponse`

Method Summary
`void` | `addCookie(Cookie cookie)` Adds a specified cookie to the response.
`void` | `addDateHeader(String name, long date)` Adds a response header with the given name and date value.
`void` | `addHeader(String name, String value)` Adds a response header with the given name and value.
`void` | `addIntHeader(String name, int value)` Adds a response header with the given name and integer value.
`boolean` | `containsHeader(String name)` Returns a boolean indicating whether the named response header has already been set.
`void` | `setDateHeader(String name, long date)` Sets a response header with the given name and date value.
`void` | `setHeader(String name, String value)` Sets a response header with the given name and value.
`void` | `setIntHeader(String name, int value)` Sets a response header with the given name and integer value.

Method Detail

### addCookie

    void addCookie(Cookie cookie)

  Adds a specified cookie to the response.

  Parameters
    `cookie` - cookie
  See Also
    `javax.servlet.http.HttpServletResponse#addCookie(Cookie)`

### addDateHeader

    void addDateHeader(String name,
                       long date)

  Adds a response header with the given name and date value.

  Parameters
    `name` - name
    `date` - date
  See Also
    `javax.servlet.http.HttpServletResponse#addDateHeader(String,long)`

### setDateHeader

    void setDateHeader(String name,
                       long date)

  Sets a response header with the given name and date value.

  Parameters
    `name` - name
    `date` - date
  See Also
    `javax.servlet.http.HttpServletResponse#setDateHeader(String,long)`

### addHeader

    void addHeader(String name,
                   String value)

  Adds a response header with the given name and value.

  Parameters
    `name` - name
    `value` - value
  See Also
    `javax.servlet.http.HttpServletResponse#addHeader(String,String)`

### setHeader

    void setHeader(String name,
                   String value)

  Sets a response header with the given name and value.

  Parameters
    `name` - name
    `value` - value
  See Also
    `javax.servlet.http.HttpServletResponse#setHeader(String,String)`

### addIntHeader

    void addIntHeader(String name,
                      int value)

  Adds a response header with the given name and integer value.

  Parameters
    `name` - name
    `value` - value
  See Also
    `javax.servlet.http.HttpServletResponse#addIntHeader(String,int)`

### setIntHeader

    void setIntHeader(String name,
                      int value)

  Sets a response header with the given name and integer value.

  Parameters
    `name` - name
    `value` - value
  See Also
    `javax.servlet.http.HttpServletResponse#setIntHeader(String,int)`

### containsHeader

    boolean containsHeader(String name)

  Returns a boolean indicating whether the named response header has already been set.

  A Cookie header that has been added to the WindowActionResponse should be searched for by using the name of the Cookie, not "Set-Cookie" (the name of a Cookie header) because the Cookie header is not converted into a String value for a "Set-Cookie" header until it is propagated to the inner response.

  Parameters
    `name` - name
  Returns
    boolean

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved